{
    onStart(pokemon) {
        if (this.suppressingAbility(pokemon))
            return;
        this.add("-ability", pokemon, "Vessel of Ruin");
    },
    onAnyModifySpA(spa, source, target, move) {
        const abilityHolder = this.effectState.target;
        if (source.hasAbility("Vessel of Ruin"))
            return;
        if (!move.ruinedSpA)
            move.ruinedSpA = abilityHolder;
        if (move.ruinedSpA !== abilityHolder)
            return;
        this.debug("Vessel of Ruin SpA drop");
        return this.chainModify(0.80);
    },
    flags: {},
    name: "Vessel of Ruin",
    rating: 4.5,
    num: 284
}
